| Home | Libraries | People | FAQ | More

## Function template ierase_last

boost::algorithm::ierase_last — Erase last algorithm ( case insensitive )

## Synopsis

    // In header: <boost/algorithm/string/erase.hpp>

    template<typename SequenceT, typename RangeT>
      void ierase_last(SequenceT & Input, const RangeT & Search,
                       const std::locale & Loc = std::locale());

## Description

Remove the last occurrence of the substring from the input. The input sequence is modified in-place. Searching is case insensitive.

Parameters: |
`Input` | An input string
`Loc` | A locale used for case insensitive comparison
`Search` | A substring to be searched for